:visited {
    color: oklch(from var(--accent-color) calc(l + var(--_color-scheme-operation-sign) * 0.5) 0.1 h);
}

a[href^="mailto:"]::after {
    background-color: currentColor;
    block-size: 1em;
    content: '';
    display: inline flex;
    inline-size: 1em;
    margin-inline-start: 0.25em;
    mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 -960 960 960"><path d="M178.46-200q-24.58 0-41.52-16.94Q120-233.88 120-258.46v-443.08q0-24.58 16.94-41.52Q153.88-760 178.46-760h603.08q24.58 0 41.52 16.94Q840-726.12 840-701.54v443.08q0 24.58-16.94 41.52Q806.12-200 781.54-200H178.46ZM480-482.36 153.85-698.72v440.26q0 10.77 6.92 17.69 6.92 6.92 17.69 6.92h603.08q10.77 0 17.69-6.92 6.92-6.92 6.92-17.69v-440.26L480-482.36Zm0-38.46 312.72-205.33H167.95L480-520.82Zm-326.15-177.9v-27.43 467.69q0 10.77 6.92 17.69 6.92 6.92 17.69 6.92h-24.61v-464.87Z"/></svg>');
    mask-mode: alpha;
    mask-position: center;
    mask-size: contain;
    vertical-align: text-bottom;
}

a[target="_blank"]::after {
    background-color: currentColor;
    block-size: 1em;
    content: '';
    display: inline flex;
    inline-size: 1em;
    margin-inline-start: 0.25em;
    mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 -960 960 960"><path d="M218.46-160q-24.58 0-41.52-16.94Q160-193.88 160-218.46v-523.08q0-24.58 16.94-41.52Q193.88-800 218.46-800h224.46v33.85H218.46q-9.23 0-16.92 7.69-7.69 7.69-7.69 16.92v523.08q0 9.23 7.69 16.92 7.69 7.69 16.92 7.69h523.08q9.23 0 16.92-7.69 7.69-7.69 7.69-16.92v-224.46H800v224.46q0 24.58-16.94 41.52Q766.12-160 741.54-160H218.46Zm169.13-203.33-24.1-24.26 378.56-378.56H547.54V-800H800v252.46h-33.85V-741.9L387.59-363.33Z"/></svg>');
    mask-mode: alpha;
    mask-position: center;
    mask-size: contain;
    vertical-align: text-bottom;
}

a:focus-visible,
a:hover {
    text-decoration: none;
}

.story {
    overscroll-behavior: contain;
}

.story:open {
    --overscroll-behavior: contain;
    --wrapper-display: block;
}

.story:focus {
    outline: none;
}

.story__backdrop {
    background-color: transparent;
    block-size: 10rem;
    border: none;
    display: none;
    inset-block-start: 0;
    inset-inline: 0;
    padding: 0;
    position: fixed;
    z-index: 1;
}

.story__content {
    margin-block-end: -5rem;
    overscroll-behavior: contain;
}

.story__wrapper {
    block-size: calc(100dvb - 10rem);
    border-block-start: 2rem solid oklch(from var(--accent-color) 0.2 0.03 h);
    border-start-start-radius: 2rem;
    border-start-end-radius: 2rem;
    display: var(--wrapper-display, contents);
    margin-block-start: 8rem;
    overflow-block: auto;
    overscroll-behavior: var(--overscroll-behavior, auto);
}

.story-page {
    display: contents;
}

.story-page:only-child .story-page__title {
    display: none;
}

.story-page__title {
    align-items: baseline;
    color: var(--main-color);
    cursor: pointer;
    display: none;
    font: inherit;
    list-style-type: none;
    font-size: 75%;
    gap: 0.75rem;
    inset-block-start: 5.5rem;
    inset-inline-end: var(--title-end-align, auto);
    inset-inline-start: var(--title-start-align, auto);
    line-height: 1;
    padding: 0.5em;
    z-index: 1;
}

.story-page__title::before {
    aspect-ratio: 1;
    block-size: 0.75lh;
    border: thin solid var(--main-color);
    content: '';
    display: flex;
    
    @supports (corner-shape: bevel) {
        border-radius: calc(Infinity * 1lh);
        corner-shape: bevel;
    }

    @supports not (corner-shape: bevel) {
        block-size: 0.75em;
        rotate: 45deg;
    }
}

.story:open .story-page__title {
    background-color: oklch(from var(--accent-color) 0.2 0.03 h);
    border-block-start: thin solid oklch(from var(--accent-color) calc(l + var(--_color-scheme-operation-sign) * 0.3) c h / 0.15);
    display: flex;
    padding: 1rem;
}

.story:open .story__backdrop {
    display: block;
}

.story:open .story__discover {
    display: none;
}

.story:open .story-page__content {
    line-clamp: none;
    padding: 2rem;
}

.story-page:open .story-page__title::before {
    background-color: var(--main-color);
}

.story-page:open .story-page__title {
    pointer-events: none;
}

.story-page::details-content {
    inline-size: 100%;
    order: calc(Infinity);
    transition: 0.5s display;
    transition-behavior: allow-discrete;
}

.story-page__content {
    line-clamp: 6;
    padding: 2rem 2rem 5rem;
}

.story-page__content h3,
.story-page__content h4,
.story-page__content h5,
.story-page__content h6,
.story-page__content :link {
    color: var(--main-color);
}

.story-page__content > :first-child {
    margin-block-start: 0;
}

.story-page__content > :last-child {
    margin-block-end: 0;
}

.story-page:not(:open)::details-content {
    display: none;
}

.story-page__embed {
    display: flex;
    position: relative;
}

.story-page__animation-control {
    align-self: end;
    background-color: transparent;
    border: none;
    cursor: pointer;
    opacity: 0;
    position: absolute;
    transition: 0.15s all ease;
    z-index: 1;
}

.story-page__embed:hover .story-page__animation-control {
    opacity: 1;
}

.story-page__animation-control .play {
    display: none;
}

.story-page__animation-control .pause {
    display: initial;
}

video.story-page__media.paused + .story-page__animation-control .pause {
    display: none;
}

video.story-page__media.paused + .story-page__animation-control .play {
    display: initial;
}

@media screen and (min-width: 60rem) {
    .story__wrapper {
        block-size: auto;
        border: none;
        margin-block-start: 0;
    }

    .story__content {
        align-items: start;
        column-gap: 1rem;
        display: flex;
        flex-wrap: wrap;
        justify-content: var(--title-justify);
        margin-block-start: calc(-0.75em - 1rem);
        margin-block-end: 0;
    }

    .story__content:has(.story-page:only-child) {
        margin-block-start: 0;
    }

    .story-page__title {
        display: flex;
        position: relative;
    }

    .story-page__embed {
        order: var(--embed-order);
    }

    .story-page__embed {
        mask-image: linear-gradient(to var(--direction, right), white 50%, transparent);
    }

    .story-page__inside {
        opacity: 0;
        transition: 0s all ease;
    }

    .story-page__content {
        line-clamp: none;
        transition: 0s all ease;
        translate: 0 1em;
    }

    .story-page:open .story-page__inside {
        display: flex;
        justify-content: var(--content-justify);
        opacity: 1;
        transition-duration: 0.5s;
        
        @starting-style {
            opacity: 0;
        }
    }

    .story-page:open .story-page__content {
        transition-duration: 0.25s;
        translate: 0 0;
        
        @starting-style {
            translate: 0 1em;
        }
    }
}